# DiagnosticReport _search

`POST /DiagnosticReport/_search`

This resource contains clinical context for diagnostic tests (e.g., lab tests, pathology, imaging) performed on a patient or group of patients. Diagnostic reports may contain discrete results, images, or codes. 

You can review, retrieve, create, or update diagnostic reports. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for details about a diagnostic test completed for a patient or group of patients from one provider. [Review tips for diagnostic result searches](https://docs.redoxengine.com/permalink/7gGxksdZBE3Wj4Hy5mZ0av).

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We only note which query parameters are required _if you’re querying a FHIR server directly_. Remember that Redox (i.e., data on demand) isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters will vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `identifier` | Array of string | No | An identifier for the report |
| `date` | Array of string | No | The clinically relevant time of the report |
| `issued` | Array of string | No | When the report was issued |
| `subject` | Array of string | No | The subject of the report |
| `subject.identifier` | Array of string | No | One or more external identifiers for the patient |
| `patient` | Array of string | No | The subject of the report if a patient |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `status` | Array of string | No | The status of the report |
| `code` | Array of string | No | The code for the report as a whole, as opposed to codes for the atomic results, which are the names on the observation resource referred to from the result |
| `context` | Array of string | No | Healthcare event (Episode of Care or Encounter) related to the report |
| `context.identifier` | Array of string | No | Identifier(s) by which this encounter is known |
| `result` | Array of string | No | Link to an atomic result (observation resource) |
| `result.identifier` | Array of string | No | An identifier for the observation |
| `category` | Array of string | No | Which diagnostic discipline/department created the report |
| `_lastUpdated` | Array of string | No | Select resources based on the last time they were changed |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DiagnosticReport/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode '_lastUpdated=string' \
--data-urlencode 'identifier=string' \
--data-urlencode 'date=string' \
--data-urlencode 'issued=string' \
--data-urlencode 'subject=string' \
--data-urlencode 'subject.identifier=string' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'status=string' \
--data-urlencode 'code=string' \
--data-urlencode 'context=string' \
--data-urlencode 'context.identifier=string' \
--data-urlencode 'result=string' \
--data-urlencode 'result.identifier=string' \
--data-urlencode 'category=string'
```

## Responses

### 200

Search results (Bundle)

Response to a DiagnosticReport search operation. Unless the `_include` parameter is sent, only DiagnosticReport resources are returned.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of DiagnosticReport or Observation or Specimen or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (DiagnosticReport).resource` | object | Yes | A DiagnosticReport resource |
| `entry[] (DiagnosticReport).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: DiagnosticReport |
| `entry[] (DiagnosticReport).resource.status` | string | Yes | The status of the diagnostic report. Possible values: registered, partial, preliminary, final, amended, corrected, appended, cancelled, entered-in-error, unknown |
| `entry[] (DiagnosticReport).resource.category` | Array of LaboratorySlice or Other | Yes | A code that classifies the clinical discipline, department or diagnostic service that created the report (e.g. cardiology, biochemistry, hematology, MRI). This is used for searching, sorting and display purposes. |
| `entry[] (DiagnosticReport).resource.category[] (LaboratorySlice).coding` | Array of object | Yes |  |
| `entry[] (DiagnosticReport).resource.category[] (LaboratorySlice).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/v2-0074 |
| `entry[] (DiagnosticReport).resource.category[] (LaboratorySlice).coding[].code` | string | Yes | Value: LAB |
| `entry[] (DiagnosticReport).resource.category[] (Other).id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system` | object | No | Extensions for system |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version` | object | No | Extensions for version |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code` | object | No | Extensions for code |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display` | object | No | Extensions for display |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.category[] (Other).text` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text` | object | No | Extensions for text |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (DiagnosticReport).resource.category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (DiagnosticReport).resource.code` | object | Yes | The test, panel or battery that was ordered. |
| `entry[] (DiagnosticReport).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (DiagnosticReport).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DiagnosticReport).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DiagnosticReport).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (DiagnosticReport).resource.subject` | object | Yes | The subject of the report. Usually, but not always, this is a patient. However, diagnostic services also perform analyses on specimens collected from a variety of other sources. Must be a resource of type `Patient`. |
| `entry[] (DiagnosticReport).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (DiagnosticReport).resource.identifier` | Array of object | No | Identifiers assigned to this report by the performer or other systems. |
| `entry[] (DiagnosticReport).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (DiagnosticReport).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (DiagnosticReport).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (DiagnosticReport).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (DiagnosticReport).resource.encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) which this DiagnosticReport is about. Must be a resource of type `Encounter`. |
| `entry[] (DiagnosticReport).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.issued` | string | No | The date and time that this version of the report was made available to providers, typically after the report was reviewed and verified. |
| `entry[] (DiagnosticReport).resource.performer` | Array of object | No | The diagnostic service that is responsible for issuing the report. Must reference one of the following types of resources: - `Practitioner` - `Organization` |
| `entry[] (DiagnosticReport).resource.performer[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.specimen` | Array of object | No | Details about the specimens on which this diagnostic report is based. Must be a resource of type `Specimen`. |
| `entry[] (DiagnosticReport).resource.specimen[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.result` | Array of object | No | [Observations](http://hl7.org/fhir/R4/observation.html)  that are part of this diagnostic report. Must be a resource of type `Observation`. |
| `entry[] (DiagnosticReport).resource.result[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DiagnosticReport).resource.presentedForm` | Array of object | No | Rich text representation of the entire result as issued by the diagnostic service. Multiple formats are allowed but they SHALL be semantically equivalent. |
| `entry[] (DiagnosticReport).resource.presentedForm[].contentType` | string | No | Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate. |
| `entry[] (DiagnosticReport).resource.presentedForm[].data` | string | No | The actual data of the attachment - a sequence of bytes, base64 encoded. |
| `entry[] (DiagnosticReport).resource.effectiveDateTime` | string | No | The time or time-period the observed values are related to. When the subject of the report is a patient, this is usually either the time of the procedure or of specimen collection(s), but very often the source of the date/time is not known, only the date/time itself. |
| `entry[] (DiagnosticReport).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (DiagnosticReport).search.mode` | string | Yes | Identifies the DiagnosticReport as matching the search parameters. Value: match |
| `entry[] (Observation).resource` | object | Yes | A result Observation |
| `entry[] (Observation).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (Observation).resource.status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (Observation).resource.category` | Array of us-core or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (Observation).resource.category[] (us-core).coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.category[] (us-core).coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (Observation).resource.category[] (us-core).coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: laboratory |
| `entry[] (Observation).resource.category[] (us-core).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.category[] (Other).coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.category[] (Other).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.category[] (Other).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.code` | object | Yes | The name of the clinical test or procedure performed on a patient.  A LOINC **SHALL** be used if the concept is present in LOINC. |
| `entry[] (Observation).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.subject` | object | Yes | The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation. Must be a resource of type `Patient`. |
| `entry[] (Observation).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Observation).resource.extension` | Array of ObservationAttachment or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource.extension[] (ObservationAttachment).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/5.0/StructureDefinition/extension-Observation.valueAttachment |
| `entry[] (Observation).resource.extension[] (ObservationAttachment).valueAttachment` | object | No | Attachment representing the value of the Observation. |
| `entry[] (Observation).resource.extension[] (ObservationAttachment).valueAttachment.contentType` | string | No | Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate. |
| `entry[] (Observation).resource.extension[] (ObservationAttachment).valueAttachment.data` | string | No | The actual data of the attachment - a sequence of bytes, base64 encoded. |
| `entry[] (Observation).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.identifier` | Array of object | No | A unique identifier assigned to this observation. |
| `entry[] (Observation).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Observation).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Observation).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Observation).resource.basedOn` | Array of object | No | A plan, proposal or order that is fulfilled in whole or in part by this event.  For example, a MedicationRequest may require a patient to have laboratory test performed before  it is dispensed. Must reference one of the following types of resources: - `ServiceRequest` - `MedicationRequest` |
| `entry[] (Observation).resource.basedOn[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made. Must be a resource of type `Encounter`. |
| `entry[] (Observation).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.issued` | string | No | The date and time this version of the observation was made available to providers, typically after the results have been reviewed and verified. |
| `entry[] (Observation).resource.performer` | Array of object | No | Who was responsible for asserting the observed value. This may be an organization representing the lab where the result was produced or a Practitioner representing a technician who processed the result. Must reference one of the following types of resources: - `Organization` - `Practitioner` |
| `entry[] (Observation).resource.performer[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.interpretation` | Array of object | No | A categorical assessment of an observation value.  For example, high, low, normal. |
| `entry[] (Observation).resource.interpretation[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.interpretation[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.interpretation[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.interpretation[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.note` | Array of object | No | Comments about the observation or the results. |
| `entry[] (Observation).resource.note[].text` | string | Yes | The text of the annotation in markdown format. |
| `entry[] (Observation).resource.method` | object | No | Indicates the mechanism used to perform the observation. |
| `entry[] (Observation).resource.method.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.method.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.method.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.method.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.specimen` | object | No | The specimen that was used when this observation was made. Must be a resource of type `Specimen`. |
| `entry[] (Observation).resource.specimen.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.referenceRange` | Array of object | No | Guidance on how to interpret the value by comparison to a normal or recommended range.  Multiple reference ranges are interpreted as an "OR".   In other words, to represent two distinct target populations, two `referenceRange` elements would be used. |
| `entry[] (Observation).resource.referenceRange[].low` | object | No | The value of the low bound of the reference range.  The low bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the low bound is omitted,  it is assumed to be meaningless (e.g. reference range is <=2.3). |
| `entry[] (Observation).resource.referenceRange[].low.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.referenceRange[].low._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.referenceRange[].low.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.referenceRange[].high` | object | No | The value of the high bound of the reference range.  The high bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the high bound is omitted,  it is assumed to be meaningless (e.g. reference range is >= 2.3). |
| `entry[] (Observation).resource.referenceRange[].high.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.referenceRange[].high._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.referenceRange[].high.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.referenceRange[].text` | string | No | Text based reference range in an observation which may be used when a quantitative range is not appropriate for an observation.  An example would be a reference value of "Negative" or a list or table of "normals". |
| `entry[] (Observation).resource.effectiveDateTime` | string | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. |
| `entry[] (Observation).resource.valueQuantity` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (Observation).resource.valueQuantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.valueQuantity._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.valueQuantity._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueQuantity._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.valueQuantity.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.valueCodeableConcept` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (Observation).resource.valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueString` | string | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (Observation).resource.valueRange` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (Observation).resource.valueRange.low` | object | No | The low limit. The boundary is inclusive. |
| `entry[] (Observation).resource.valueRange.low.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.valueRange.low._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.valueRange.low._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.low._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.valueRange.low.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.valueRange.high` | object | No | The high limit. The boundary is inclusive. |
| `entry[] (Observation).resource.valueRange.high.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.valueRange.high._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.valueRange.high._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRange.high._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.valueRange.high.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.valueRatio` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (Observation).resource.valueRatio.numerator` | object | No | The value of the numerator. |
| `entry[] (Observation).resource.valueRatio.numerator.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.valueRatio.numerator._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.valueRatio.numerator.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).resource.valueRatio.denominator` | object | No | The value of the denominator. |
| `entry[] (Observation).resource.valueRatio.denominator.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Observation).resource.valueRatio.denominator._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource.valueRatio.denominator.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Observation).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Observation).search.mode` | string | Yes | Observation is being included because it relates to a matching DiagnosticReport resource. Value: include |
| `entry[] (Specimen).resource` | object | Yes | A Specimen resource |
| `entry[] (Specimen).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Specimen |
| `entry[] (Specimen).resource.type` | object | Yes | The kind of material that forms the specimen. |
| `entry[] (Specimen).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Specimen).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Specimen).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Specimen).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Specimen).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Specimen).resource.identifier` | Array of object | No | Id for specimen. |
| `entry[] (Specimen).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Specimen).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Specimen).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Specimen).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Specimen).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Specimen).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Specimen).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Specimen).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Specimen).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
[...]
